// GenericBkResizableMFC.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "GenericBkResizableMFC.h"
#include "GenericBkResizableMFCDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CGenericBkResizableMFCApp

BEGIN_MESSAGE_MAP(CGenericBkResizableMFCApp, CWinApp)
	//ON_COMMAND(ID_HELP, &CWinApp::OnHelp)
END_MESSAGE_MAP()


// CGenericBkResizableMFCApp construction

CGenericBkResizableMFCApp::CGenericBkResizableMFCApp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}


// The one and only CGenericBkResizableMFCApp object

CGenericBkResizableMFCApp theApp;


// CGenericBkResizableMFCApp initialization

BOOL CGenericBkResizableMFCApp::InitInstance()
{
	// InitCommonControlsEx() is required on Windows XP if an application
	// manifest specifies use of ComCtl32.dll version 6 or later to enable
	// visual styles.  Otherwise, any window creation will fail.
	INITCOMMONCONTROLSEX InitCtrls;
	InitCtrls.dwSize = sizeof(InitCtrls);
	// Set this to include all the common control classes you want to use
	// in your application.
	InitCtrls.dwICC = ICC_WIN95_CLASSES;
	InitCommonControlsEx(&InitCtrls);

	CWinApp::InitInstance();

#ifdef	USE_SOCKECTS
	if (!AfxSocketInit())
	{
		AfxMessageBox(IDP_SOCKETS_INIT_FAILED);
		return FALSE;
	}
#endif

	CGenericBkResizableMFCDlg dlg;
	m_pMainWnd = &dlg;
	INT_PTR nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with OK
	}
	else if (nResponse == IDCANCEL)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with Cancel
	}

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
} // End of InitInstance

int CGenericBkResizableMFCApp::ExitInstance()
{
	// TODO: Add your specialized code here and/or call the base class

	return CWinApp::ExitInstance();
} // End of ExitInstance
